output "instance_ip_main" {
  value = {
    frontend = module.compute.internal_ips["frontend"]
    backend  = module.compute.internal_ips["backend"]
    database = module.compute.internal_ips["database"]
  }
}


output "private_ip_frontend_main" {
  value = module.compute.private_ip_frontend
}

output "name_instance_main" {
  value = {
    frontend = module.compute.name_instance["frontend"]
    backend  = module.compute.name_instance["backend"]
    database = module.compute.name_instance["database"]
  }
}

output "service_account_email_main" {
  value = module.iam.service_account_email
}

output "service_account_key_main" {
  value = module.iam.service_account_key
  sensitive = true
}

output "vpc_id_main" {
  value = module.network.vpc_id
}

output "subnet_ids_main" {
  value = {
    frontend = module.network.subnet_ids["frontend"]
    backend  = module.network.subnet_ids["backend"]
    database = module.network.subnet_ids["database"]
  }
}
